# ComPDFKit for Web

[ComPDFKit for Web](https://www.compdf.com/guides/pdf-sdk/web/overview) is a powerful JavaScript PDF library and you can easily and quickly integrate PDF functionality like viewing, annotating, Forms, signing, and document editing into your Web applications.

- **Usability UI:** Simple, easy to use, and highly customizable
- **Client Side:** Workload is offloaded to client (no server needed)
- **High Fidelity:** Accurate, reliable PDFium-based rendering engine
- **Prebuilt Features:** Annotate, Content Editor, Document Editor, Signatures, Form, and more

## Instantiation
You can get a complete get-started guide in our [documentation](https://www.compdf.com/guides/pdf-sdk/web/overview).

You must instantiate WebViewer in order to access classes and APIs.
```javascript
import ComPDFKitViewer from "/@compdfkit/webviewer";

const viewer = document.getElementById('webviewer');
ComPDFKitViewer.init({
  pdfUrl: 'Your PDF Url',
  license: 'Input your license here'
}, viewer)
  .then((core) => {
    const docViewer = core.docViewer;
    docViewer.addEvent('documentloaded',async () => {
      console.log('ComPDFKit Web Demo loaded');
    })
  })
```

## Support
If you have any questions, please feel free to ask us at [ComPDFKit Support](https://www.compdf.com/support).


