/**
 * A generic action.
 * @memberof Core.Actions
 */
class Action {
  /**
   * @param {?object} options - A map of properties to set on the Action
   * @property {string} name - Get the action's name.
   */
  constructor(options) {
    this.name = options?.name || '';
  }

  /**
   * Called when the action is triggered.
   * @param {Annotations.Forms.Field|Core.DocumentViewer|Core.Bookmark} owner - The dispatcher to which this action is attached
   * @param {object} event - The PDFJS event to use when executing the action
   * @param {Core.DocumentViewer} documentViewer - The DocumentViewer to use as context for the action execution
   */
  onTriggered(owner, event, documentViewer) {}
}

export default Action;