import Action from './Action';
import Dest from './Dest';

/**
 * A GoTo Action. Navigates to a specific page of the document with various fit options.
 * @memberof Core.Actions
 * @extends {Core.Actions.Action}
 */
class GoTo extends Action {

    /**
     * @param {?object} options - A map of properties to set on the Action.
     * @property {Core.Actions.Dest} dest - Gets the destination object.
     */
    constructor(options) {
        super();
        this.dest = options?.dest ?? new Dest();
    }

    /** @inheritdoc */
    onTriggered(owner, event, documentViewer) {}
}

export default GoTo;