import EventHandler from './EventHandler';

/**
 * The manager of the Annotation history state for undoing and redoing annotation changes
 * @memberof Core
 * @extends Core.EventHandler
 */
class AnnotationHistoryManager extends EventHandler {
  /***
   * Returns whether there is a change available to redo
   * @returns {boolean} Whether there is a change that can be redone or not
   */
  canRedo() {}

  /***
   * Returns whether there is a change available to undo
   * @returns {boolean} Whether there is a change that can be undone or not
   */
  canUndo() {}

  /***
   * Clears the undo/redo history so that no older changes can be undone.
   */
  clear() {}

  /***
   * Reapplies the most recent annotation change that was undone
   * @returns {Promise.<void>} Returns a promise that resolves when the operation is complete
   */
  redo() {}

  /***
   * Undoes the most recent annotation change
   * @returns {Promise.<void>} Returns a promise that resolves when the operation is complete
   */
  undo() {}

  /**
   * Triggered when the annotation history stack changes. This could be used to check the canUndo or canRedo functions if their value has changed.
   * @event Core.AnnotationHistoryManager#historyChanged
   */
  historyChanged() {}
}

export default AnnotationHistoryManager;