import { createApp } from 'vue'
import { createI18n } from 'vue-i18n'
import en from '../locales/en.json'
import zhCN from '../locales/zh-CN.json'

import App from '@/components/App/index.vue'
import { setupStore } from '@/stores'

import './assets/main.scss'

const language = window.localStorage.getItem('language') || window.navigator.language

const i18n = createI18n({
  // something vue-i18n options here ...
  legacy: false,
  // locale: language === 'zh-CN' ? 'zh-CN' : 'en', // 根据浏览器语言设置
  locale: 'en',
  fallbackLocale: 'en',
  messages: {
    en,
    'zh-CN': zhCN
  }
})

const app = createApp(App)

setupStore(app)

app.use(i18n)

app.mount('#app')
